Bug 1339765

Summary: Permission denied errors in the brick logs
Product: Red Hat Gluster Storage Reporter: Raghavendra Bhat <rabhat>
Component: replicateAssignee: Ravishankar N <ravishankar>
Status: CLOSED ERRATA QA Contact: Vijay Avuthu <vavuthu>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rhgs-3.1CC: amukherj, bkunal, pcaruana, pkarampu, rabhat, ravishankar, rcyriac, rgowdapp, rhinduja, rhs-bugs, sankarshan, sheggodu, smohan, srangana, storage-qa-internal
Target Milestone: ---Keywords: ZStream
Target Release: RHGS 3.4.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: glusterfs-3.12.2-1 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-09-04 06:29:40 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1468983, 1408949, 1472361, 1503134    

Comment 24 Atin Mukherjee 2016-10-21 04:27:13 UTC
downstream patch is merged now.

Comment 47 Ravishankar N 2018-02-14 09:01:23 UTC
*** Bug 1331164 has been marked as a duplicate of this bug. ***

Comment 53 Vijay Avuthu 2018-04-13 10:47:07 UTC
Update:
========

Build Used: glusterfs-server-3.12.2-7.el7rhgs.x86_64

Verified below scenario's

Scenario 1: 

1. Create 1x2 volume and disable shd.
2. Create a FILE and chown it to user-1
3. Kill one brick.
4. As user-1 (non root), do chmod on FILE so that there is pending metadata heal.
5. Bring the down brick up.
6. As another user-2, access the same FILE
7. healing should be successful


Scenario 2:

1. Create 2 * 3 volume and disable shd
2. create 500 files 
3. chown for 1st 250 files to "qa_func"
4. chown for last 250 files to "qa_perf"
5. kill one of the brick
6. As "qa_func" user, change permissions for the 1st 250 files
7. As "qa_perf" user, change permissions for the last 250 files
8. Bring up the down brick
9. Do a lookup from 3rd user ( "qa_all" ) on all the files
10. Healing should be successful

In Both Scenarios, healing is success after lookup happened ( from another user )

Changing status to Verified

Comment 56 errata-xmlrpc 2018-09-04 06:29:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607